Summary: An X and GTK+ based graphical display of traceroute's output.
Name: xtraceroute
Version: 0.8.14
Release: 6
Copyright: GPL 
Group: Applications/Internet
Source: http://www.dtek.chalmers.se/~d3august/xt/dl/%{name}-%{version}.tar.gz
Source1: http://www.dtek.chalmers.se/~d3august/xt/dl/ndg_files.tar.gz
URL: http://www.dtek.chalmers.se/~d3august/xt/
Patch0: fix-libs-order-0.8.14.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gtkglarea Mesa-devel
Requires: gtkglarea
Excludearch: ia64

%description
Xtraceroute is a graphical version of the traceroute program, which
traces the route your IP packets travel to their destination.
Xtraceroute shows the packets' path on a rotating globe, as a series
of yellow lines between sites, which are shown as small balls of
different colors.  You'll need a fairly fast machine, an OpenGL
implementation (Mesa or OpenGL), GTK+, GtkGLArea, and tifflib.


%prep
%setup -q -a 1 2
%patch0 -p1 -b .tim

%build
%configure --with-lib-GL --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Network \
	$RPM_BUILD_ROOT%{_datadir}/icons

make DESTDIR=$RPM_BUILD_ROOT install
make -C po prefix=$RPM_BUILD_ROOT%{_prefix} install

install -m 644 xtraceroute.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Network
install -m 644 xtraceroute.png $RPM_BUILD_ROOT%{_datadir}/icons/
install -m 644 lib/networks.cache $RPM_BUILD_ROOT%{_datadir}/xtraceroute/
install -m 644 lib/hosts.cache $RPM_BUILD_ROOT%{_datadir}/xtraceroute/

cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Network/xtraceroute.desktop<<EOF
[Desktop Entry]
Name=xtraceroute
Comment=A graphical traceroute
Comment[es]=Un traceroute grfico
Comment[fr]=Un traceroute graphique
Exec=xtraceroute
Terminal=0
Type=Application
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc INSTALL README AUTHORS BUGS COPYING ChangeLog NEWS TODO 
%{_datadir}/xtraceroute
%{_bindir}/xtraceroute
%config %{_sysconfdir}/X11/applnk/Network/xtraceroute.desktop
%{_datadir}/icons/*
%{_datadir}/locale/*/LC_MESSAGES/xtraceroute.mo

%changelog
* Thu Jan 11 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- add missing BuildPrereq

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- built with GL in XFree86-4.0 for 7.0
- use %%configure
- add locale stuff and xtraceroute.desktop

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- new version
- added patch to configure file
- built for 6.1

* Tue Feb 10 1999 Michael Maher <mike@redhat.com>
- built package
